_Elm_Config Struct Reference

Data Fields
_Elm_Config Struct Reference

## Data Fields
int | config_version
const char * | engine
const char * | accel
const char * | web_backend
unsigned char | accel_override
unsigned char | vsync
unsigned char | thumbscroll_enable
int | thumbscroll_threshold
int | thumbscroll_hold_threshold
double | thumbscroll_momentum_threshold
double | thumbscroll_bounce_friction
double | thumbscroll_acceleration_threshold
double | thumbscroll_acceleration_time_limit
double | thumbscroll_acceleration_weight
int | thumbscroll_momentum_distance_max
double | thumbscroll_momentum_friction
double | thumbscroll_momentum_animation_duration_min_limit
double | thumbscroll_momentum_animation_duration_max_limit
int | thumbscroll_flick_distance_tolerance
double | thumbscroll_friction
double | thumbscroll_min_friction
double | thumbscroll_friction_standard
double | page_scroll_friction
double | bring_in_scroll_friction
double | zoom_friction
Eina_Bool | scroll_animation_disable
double | scroll_accel_factor
unsigned char | thumbscroll_bounce_enable
double | thumbscroll_border_friction
double | thumbscroll_sensitivity_friction
unsigned char | scroll_smooth_start_enable
double | scroll_smooth_amount
double | scroll_smooth_time_window
double | scale
int | bgpixmap
int | compositing
Eina_List * | font_dirs
Eina_List * | font_overlays
int | font_hinting
int | cache_flush_poll_interval
unsigned char | cache_flush_enable
int | image_cache
int | font_cache
int | edje_cache
int | edje_collection_cache
int | finger_size
double | fps
const char * | theme
const char * | modules
double | tooltip_delay
unsigned char | cursor_engine_only
unsigned char | focus_highlight_enable
unsigned char | focus_highlight_animate
unsigned char | focus_highlight_clip_disable
| This shows disabled status of focus highlight clip feature. More...
unsigned char | focus_move_policy
| This show how the elementary focus is moved to another object. More...
unsigned char | item_select_on_focus_disable
| This shows the disabled status of select on focus feature. More...
unsigned char | first_item_focus_on_first_focus_in
| This sets the first item focus on first focus in feature.
Elm_Focus_Autoscroll_Mode | focus_autoscroll_mode
| This shows the focus auto scroll mode. More...
Elm_Slider_Indicator_Visible_Mode | slider_indicator_visible_mode
| this sets the slider indicator visible mode
double | popup_horizontal_align
double | popup_vertical_align
Eina_Bool | popup_scrollable
int | toolbar_shrink_mode
unsigned char | fileselector_expand_enable
unsigned char | fileselector_double_tap_navigation_enable
unsigned char | inwin_dialogs_enable
int | icon_size
double | longpress_timeout
unsigned char | effect_enable
unsigned char | desktop_entry
unsigned char | context_menu_disabled
unsigned char | password_show_last
double | password_show_last_timeout
unsigned char | glayer_zoom_finger_enable
double | glayer_zoom_finger_factor
double | glayer_zoom_wheel_factor
double | glayer_zoom_distance_tolerance
unsigned char | glayer_rotate_finger_enable
double | glayer_rotate_angular_tolerance
double | glayer_line_min_length
double | glayer_line_distance_tolerance
double | glayer_line_angular_tolerance
unsigned int | glayer_flick_time_limit_ms
double | glayer_long_tap_start_timeout
double | glayer_double_tap_timeout
int | glayer_tap_finger_size
Eina_Bool | access_mode
unsigned char | glayer_continues_enable
int | week_start
int | weekend_start
int | weekend_len
int | year_min
int | year_max
Eina_List * | color_overlays
Eina_List * | color_palette
unsigned char | softcursor_mode
unsigned char | auto_norender_withdrawn
unsigned char | auto_norender_iconified_same_as_withdrawn
unsigned char | auto_flush_withdrawn
unsigned char | auto_dump_withdrawn
unsigned char | auto_throttle
double | auto_throttle_amount
const char * | indicator_service_0
const char * | indicator_service_90
const char * | indicator_service_180
const char * | indicator_service_270
unsigned char | selection_clear_enable
unsigned char | disable_external_menu
unsigned char | clouseau_enable
unsigned char | magnifier_enable
double | magnifier_scale
unsigned char | audio_mute_effect
unsigned char | audio_mute_background
unsigned char | audio_mute_music
unsigned char | audio_mute_foreground
unsigned char | audio_mute_interface
unsigned char | audio_mute_input
unsigned char | audio_mute_alert
unsigned char | audio_mute_all
unsigned char | win_auto_focus_enable
unsigned char | win_auto_focus_animate
double | transition_duration_factor
unsigned char | naviframe_prev_btn_auto_pushed
unsigned char | spinner_min_max_filter_enable
Eina_List * | bindings
Eina_Bool | atspi_mode
int | gl_depth
int | gl_stencil
int | gl_msaa
const char * | icon_theme
const char * | palette
unsigned char | entry_select_allow
Eina_Bool | offline
int | powersave
double | drag_anim_duration
unsigned char | win_no_border
Eina_Bool | is_mirrored: 1
Eina_Bool | translate: 1
Elm_Config_Flags | priv

## Field Documentation

## ◆ focus_highlight_clip_disable

unsigned char _Elm_Config::focus_highlight_clip_disable

This shows disabled status of focus highlight clip feature.

This value is false by default so the focus highlight is clipped.

Referenced by elm_config_focus_highlight_clip_disabled_get(), and elm_config_focus_highlight_clip_disabled_set().

## ◆ focus_move_policy

unsigned char _Elm_Config::focus_move_policy

This show how the elementary focus is moved to another object.

Focus can be moved by click or mouse_in.

Referenced by elm_config_focus_move_policy_get(), and elm_config_focus_move_policy_set().

## ◆ item_select_on_focus_disable

unsigned char _Elm_Config::item_select_on_focus_disable

This shows the disabled status of select on focus feature.

This value is false by default so that select on focus feature is enabled by default.

Referenced by elm_config_item_select_on_focus_disabled_get(), and elm_config_item_select_on_focus_disabled_set().

## ◆ focus_autoscroll_mode

Elm_Focus_Autoscroll_Mode _Elm_Config::focus_autoscroll_mode

This shows the focus auto scroll mode.

By default, `ELM_FOCUS_AUTOSCROLL_MODE_SHOW` is set.

Referenced by elm_config_focus_autoscroll_mode_get(), and elm_config_focus_autoscroll_mode_set().